wget_http_response_st(3)

NAME
wget_http_response_st

SYNOPSIS

#include <wget.h>

  Data Fields
wget_http_request * req
wget_vector * links
wget_vector * digests
wget_vector * cookies
wget_vector * challenges
wget_hpkp * hpkp
const char * content_type
const char * content_type_encoding
const char * content_filename
const char * location
const char * etag
ETag value.
wget_buffer * header
the raw header data if requested by the application
wget_buffer * body
the body data
long long response_end
when this response was received
size_t content_length
length of the body data
size_t cur_downloaded
size_t accounted_for
int64_t last_modified
int64_t hsts_maxage
char reason [32]
reason string after the status code
int icy_metaint
value of the SHOUTCAST header 'icy-metaint'
short major
HTTP major version.
short minor
HTTP minor version.
short code
request only status code
wget_transfer_encoding transfer_encoding
char content_encoding
bool hsts_include_subdomains
bool keep_alive
bool content_length_valid: 1
bool length_inconsistent: 1
set when length of data received is not same as Content-Length
bool hsts: 1
if hsts_maxage and hsts_include_subdomains are valid
bool csp: 1

Detailed Description

HTTP response data

Author

Generated automatically by Doxygen for wget2 from the source code.